--load_save_num
local num_string = tostring(load_save_num)

load_state = io.open(media_dir .. "game_state" .. num_string .. ".sav")
if load_state then
   player_pos.x, player_pos.y, player_pos.z, player_view.y, player_knowledge = load_state:read("*number", "*number", "*number", "*number", "*number")
   player_view.x, player_view.z = 0,0
   assert( load_state:close() )
   local loaded = E.create_string( "Loaded:" )
   E.set_entity_scale( loaded, 20, 20, 1 )
   add_to_overlay_timed( loaded, 45, 65, 2)
   local game_state = E.create_string( "Game State " .. num_string )
   E.set_entity_scale( game_state, 20, 20, 1 )
   add_to_overlay_timed( game_state, 45, 45, 2)
else
   local loaded = E.create_string( "No Game State" )
   E.set_entity_scale( loaded, 20, 20, 1 )
   add_to_overlay_timed( loaded, 45, 55, 2)
end



